"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

const fetch = require("node-fetch"); // Cat Facts!


exports.sourceNodes =
/*#__PURE__*/
function () {
  var _ref = (0, _asyncToGenerator2.default)(function* ({
    actions,
    createNodeId,
    createContentDigest
  }) {
    const createNode = actions.createNode; // Create nodes here, generally by downloading data
    // from a remote API.

    const query = yield fetch("https://cat-fact.herokuapp.com/facts");
    const data = yield query.json(); // Process data into nodes.

    data.all.forEach(datum => {
      const nodeContent = JSON.stringify(datum);
      const nodeMeta = {
        id: createNodeId(`cat-facts-${datum._id}`),
        parent: null,
        children: [],
        internal: {
          type: `CatFacts`,
          content: nodeContent,
          contentDigest: createContentDigest(datum)
        }
      };
      const node = Object.assign({}, datum, nodeMeta);
      createNode(node);
    }); // We're done, return.

    return;
  });

  return function (_x) {
    return _ref.apply(this, arguments);
  };
}();